﻿try {
  $programPath ="$env:ProgramFiles\Cloudoman.SnapshotterCmd"

  if(test-path $programPath) {
    write-host "Cleaning out the contents of $programPath"
    Remove-Item "$($programPath)\*" -recurse -force
  }
  
  mkdir -force "$programPath"
  Install-ChocolateyZipPackage 'cloudoman.snapshottercmd' 'https://github.com/cloudoman/snapshotter/releases/download/0.11/Cloudoman.SnapshotterCmd.zip' $programPath
  Install-ChocolateyPath $programPath

  write-host 'Cloudoman.Snapshottercmd has been installed and added to path. Type snapshottercmd -? for help'
  Write-ChocolateySuccess 'cloudoman.snapshottercmd'
} catch {
  Write-ChocolateyFailure 'cloudoman.snapshottercmd' $($_.Exception.Message)
  throw 
}


